Create a DirectLinkInterface
To create a DirectLinkInterface, you must configure a connection between the DirectLink router and your VPC (Virtual Private Cloud).
To access your resources over a DirectLink connection, you must configure this connection with one or more DirectLinkInterface. A DirectLinkInterface corresponds to a network path between the DirectLink router and one of your VPC, specified by means of the virtual gateway attached to it. You must create a DirectLinkInterface for each VPC you want to access, and you can create several DirectLinkInterface using the same DirectLink connection.
The MTU (Maximum Transmission Unit) of a DirectLinkInterface is limited to 1500 bytes.
A DirectLinkInterface can be in one of the following states:
confirming: the virtual interface is awaiting confirmation from its owner. After 7 days, if the virtual interface is not confirmed, its state becomesexpired.pending: the virtual interface is created and remains in thependingstate until your router and the DirectLink router are configured.available: the virtual interface can send network traffic.deleting: the virtual interface is being deleted. It remains in thedeletingstate until Numspot deletes the DirectLink router configuration.deleted: the virtual interface is deleted and can no longer send network traffic.rejected: the virtual interface was deleted while it was in theconfirmingstate.expired: the owner of the virtual interface did not confirm its creation within the 7-day period. As the virtual interface can no longer be used, you must create a new one.
Permissions
This action requires the following IAM (Identity and Access Management) permissions:
- connectivity.directlink.create
- Console
- API
- Terraform
Before you begin:
- Ensure that you have an existing DirectLink connection in the
availablestatus.
- In the console, navigate to Connectivity → DirectLink.
- Select the DirectLink connection for which you want to create an interface.
- Click Create an interface.
- Fill in the following information:
- "Name": a name for the interface
- "Virtual Gateway": the ID of the target virtual gateway
- "VLAN": a unique VLAN number between 2 and 4094
- "BGP ASN": the ASN (Autonomous System Number) of the requesting side (between 64512 and 65534)
- Optionally specify:
- "BGP Key": a BGP authentication key
- "Client Private IP": the IP of the requesting side
- "Numspot Private IP": the IP of the Numspot side
- Click Create.
The created DirectLinkInterface moves to the confirming state and then to available.
The Numspot ASN for the eu-west-2 and cloudgouv-eu-west-1 regions is: 50624
Once accepted, the requester becomes the owner of the interface and can use it to access their VPC over their DirectLink connection.
If your internal network is not located in the same datacenter as the DirectLink site, you can call on a network service provider to have an optical fiber installed there.
The security groups used for the VPC must allow flows coming from your internal network.
Before you begin:
- Ensure that you have an existing DirectLink connection in the
availablestatus.
- Retrieve your authentication token:
curl -X POST --location "https://api.{region}.numspot.com/iam/token?grant_type=client_credentials&scope=%27openid+offline_access%27" \
-H "Content-Type: application/x-www-form-urlencoded" \
--basic --user {service_account_id}:{service_account_secret}
Make sure to correctly fill in the region as well as your service_account_id and service_account_secret.
- Create a
DirectLinkInterface:
curl -X POST --location "https://api.{region}.numspot.com/connectivity/spaces/{spaceID}/directLinkInterfaces" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {token}" \
-d '{
"name": "MyDirectLinkInterface",
"directLinkId": "dl-xxx",
"virtualGatewayId": "uuidxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"vlan": 3512,
"bgpAsn": 64512
}'
Make sure to correctly fill in the region and the spaceID of the service account for which you want to create a DirectLinkInterface in the URL.
Then fill in your Bearer token in the "Authorization" field:
Required parameters:
name: a name for the interfacedirectLinkId: the ID of youravailableDirectLink connectionvirtualGatewayId: the ID of the target virtual gatewayvlan: a unique VLAN number between 2 and 4094bgpAsn: the BGP ASN number of the requesting side (between 64512 and 65534)
Optional parameters:
bgpKey: a BGP authentication keyclientPrivateIp: the IP of the requesting sidenumSpotPrivateIp: the IP of the Numspot side
- List the
DirectLinkInterfaceand check that it appears correctly:
curl -X GET --location "https://api.{region}.numspot.com/connectivity/spaces/{spaceID}/directLinkInterfaces" \
-H "Authorization: Bearer {token}" \
-H "Content-Type: application/json"
The Numspot ASN for the eu-west-2 and cloudgouv-eu-west-1 regions is: 50624
The created DirectLinkInterface moves to the confirming state and then to available.
Once accepted, the requester becomes the owner of the interface and can use it to access their VPC over their DirectLink connection.
The Terraform documentation is available on the Numspot registry ↗.